clear all;

% use of sum() forbidden: 
% see https://blogs.mathworks.com/loren/2021/09/07/a-faster-and-more-accurate-sum/

x = createsum;
n = length(x);

tic;
s = 0;
for i=1:n
  s = s + x(i);
end
time = toc;
err = testsum(s);

fprintf('Recursive summation ....................................  Error = %.2e     Time = %.2f\n',err,time);

% TODO
%fprintf('Kahan summation ........................................  Error = %.2e     Time = %.2f\n',err,time);

%fprintf('Blocked summation with blksize b =%7d ..............  Error = %.2e     Time = %.2f\n',b,err,time);

%fprintf('FABsum (recursive+Kahan) with blksize b =%7d .......  Error = %.2e     Time = %.2f\n',b,err,time);
